/********************************************************************
 * FileName:        V_MCP1911X.h
 * Dependencies:    See INCLUDES section below
 * Processor:       MCP19111
 * Compiler:        XC8 v1.11
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in vsiolation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 *
 * Version              Date        Comment
 * 1.000                02.03.2013  Initial release
 * 1.001                06.03.2014  Updated for graph features
 ********************************************************************/


//******************************************************************************
// Dynamic #define definition (modified by the GUI)
//******************************************************************************

//SF part register
#define V_T2CON           0X04
#define V_PR2             0X19
#define V_PWMRL           0X13
#define V_PWMPHL          0X00
//OV register
#define V_OVFCON          0X80
#define V_OVCCON          0X69
#define V_OUVCON          0X43
#define V_OOVCON          0X86
#define V_ABECON          0X0F
//input under voltage
#define V_VINLVL          0X9A

//multi phase config
#define V_BUFFCON         0X03
//Dead time
#define V_PE1             0X00
#define V_DEADCON         0X13
//Compensation
#define V_CMPZCON         0X0D
#define V_SLPCRCON        0X32
//Current sense gain
#define V_CSGSCON         0X05
//Current sense DC gain
#define V_CSDGCON         0X00
//Over Current
#define V_OCCON           0XE6
//Others
#define V_VZCCON          0X80
//periph activation
#define V_ATSTCON         0X80
//Slave Mode Err
#define V_SLVGNCON        0X00
//SOFT_START
#define V_TMR1L           0X87
#define V_TMR1H           0XCC
//----- Variable used by firmware only

#define V_CMP_INDUCTANCE 1.0
#define V_CMP_INPUT_CAP 132.0
#define V_CMP_OUTPUT_CAP 400.0
#define V_CMP_RSENS_FILTER 0.22
#define V_CMP_CSENS_FILTER 470.0
#define V_CMP_Q1_RDSON 4.7
#define V_CMP_Q1_TC 12.5
#define V_CMP_Q2_RDSON 1.8
#define V_CMP_Q2_TC 40.0
#define V_CMP_Q2_TCTBD 24.0
#define V_CMP_Q2_TRCBD 39.0
#define V_CMP_LDCR 1.0
#define V_CMP_INPUT_CAP_ESR 2.0
#define V_CMP_OUTPUT_CAP_ESR 2.0

#define V_VIN 12.0
#define V_VIN_RIPPLE 100.0

#define V_IOUT_VAL 30.0
#define V_IOUT_H 7.5
#define V_IOUT_L 2.5
#define V_IOUT_V_OVERSHOOT 100.0



#define V_OPERATION 0X00
#define V_VOUT_COMMAND_L 0XAC
#define V_VOUT_COMMAND_H 0X01
#define V_VOUT_MODE 0X18
#define V_ON_OFF_CONFIG 0X1F
#define V_VOUT_OV_FAULT_RESPONSE 0X78
#define V_VOUT_UV_FAULT_RESPONSE 0X78
#define V_IOUT_OC_FAULT_RESPONSE 0XC0

//Pin selection used to affect pin in function of V_NUM_XXX_PIN (only if < 0XFF=)
#define V_NUM_EN_PIN         0X0B
#define V_SETTING_RON        0X32
#define V_DEVICE_TARGET      0X00
#define V_FIRMWARE_REV       0X68 //Rev = V_FIRMWARE_REV / 100

//******************************************************************************
// PIN (IO) configuration
#include "pin_macro.h"
