/********************************************************************
 * FileName:        flash_rw.h
 * Dependencies:    See INCLUDES section below
 * Processor:       MCP19111
 * Compiler:        XC8 v1.11
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in vsiolation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 *
 * Version              Date        Comment
 * 1.000                02.03.2013  Initial release
 ********************************************************************/
#include "pic.h"
#include "macro.h"

#ifndef FLASH_RW_H
#define	FLASH_RW_H

#ifdef	__cplusplus
extern "C" {
#endif

//CALIBARTION ADDR ON FLASH
#define DEF_CAL_DOV_F     0X2080
#define DEF_CAL_VRO_BGR   0X2082
#define DEF_CAL_TTA_ZRO   0X2083

#define DEF_CAL_D2VOG   0X2088
#define DEF_CAL_D2VOO   0X2089

    
#define MEM_OFFSET 0xFD0
#define WRITE_SIZE 0x4
void writeFlash(unsigned int addr, unsigned int value[]);
void readFlash(unsigned int addr, char * buf, char calib);


#ifdef	__cplusplus
}
#endif

#endif	/* FLASH_RW_H */

