/********************************************************************
 * FileName:        pin_macro.h
 * Dependencies:    See INCLUDES section below
 * Processor:       MCP19111
 * Compiler:        XC8 v1.11
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in vsiolation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 *
 * Version              Date        Comment
 * 1.000                02.03.2013  Initial release
 ********************************************************************/



//******************************************************************************
// PIN (IO) configuration
//******************************************************************************

#define PIN_DISABLED 80

#define NUM_EN_PIN (V_NUM_EN_PIN & 127)

#if (V_NUM_SMBALERT_PIN < PIN_DISABLED) //SMBPin pin aviable
#define SMBALERT_PIN_EN   0X01
#endif

#if (V_NUM_EN_PIN < PIN_DISABLED)
#define EN_PIN_EN         0X01
#endif

#if (V_NUM_I2C_ADDR_PIN < PIN_DISABLED) //SMBPin pin aviable
#define I2C_ADDR_PIN_EN   0X01
#endif




#if NUM_EN_PIN==0X00
#define EN_PIN_IO TRISA0
#define EN_PIN GPA0
#define EN_PIN_INT_EN IOCA0
#define EN_PIN_WPU WPUGPA0
#elif NUM_EN_PIN==0X01
#define EN_PIN_IO TRISA1
#define EN_PIN GPA1
#define EN_PIN_INT_EN IOCA1
#define EN_PIN_WPU WPUGPA1
#elif NUM_EN_PIN==0X02
#define EN_PIN_IO TRISA2
#define EN_PIN GPA2
#define EN_PIN_INT_EN IOCA2
#define EN_PIN_WPU WPUGPA2
#elif NUM_EN_PIN==0X03
#define EN_PIN_IO TRISA3
#define EN_PIN GPA3
#define EN_PIN_INT_EN IOCA3
#define EN_PIN_WPU WPUGPA3
                //#elif NUM_EN_PIN==0X04
                //#define EN_PIN_IO TRISA4
                //#define EN_PIN GPA4
                //#define EN_PIN_INT_EN IOCA4
#elif NUM_EN_PIN==0X04
#define EN_PIN_IO TRISA5
#define EN_PIN GPA5
#define EN_PIN_INT_EN IOCA5
#define EN_PIN_WPU WPUGPA5
                //#elif NUM_EN_PIN==0X06
                //#define EN_PIN_IO TRISA6
                //#define EN_PIN GPA6
                //#define EN_PIN_INT_EN IOCA6
                //#elif NUM_EN_PIN==0X07
                //#define EN_PIN_IO TRISA7
                //#define EN_PIN GPA7
                //#define EN_PIN_INT_EN IOCA7
                //#elif NUM_EN_PIN==0X08
                //#define EN_PIN_IO TRISB0
                //#define EN_PIN GPB0
                //#define EN_PIN_INT_EN IOCB0
#elif NUM_EN_PIN==0X05
#define EN_PIN_IO TRISB1
#define EN_PIN GPB1
#define EN_PIN_INT_EN IOCB1
#define EN_PIN_WPU WPUGPB1
#elif NUM_EN_PIN==0X06
#define EN_PIN_IO TRISB2
#define EN_PIN GPB2
#define EN_PIN_INT_EN IOCB2
#define EN_PIN_WPU WPUGPB2
#elif NUM_EN_PIN==0X07
#define EN_PIN_IO TRISB3
#define EN_PIN GPB3
#define EN_PIN_INT_EN IOCB3
#define EN_PIN_WPU WPUGPB3
#elif NUM_EN_PIN==0X08
#define EN_PIN_IO TRISB4
#define EN_PIN GPB4
#define EN_PIN_INT_EN IOCB4
#define EN_PIN_WPU WPUGPB4
#elif NUM_EN_PIN==0X09
#define EN_PIN_IO TRISB5
#define EN_PIN GPB5
#define EN_PIN_INT_EN IOCB5
#define EN_PIN_WPU WPUGPB5
#elif NUM_EN_PIN==0X0A
#define EN_PIN_IO TRISB6
#define EN_PIN GPB6
#define EN_PIN_INT_EN IOCB6
#define EN_PIN_WPU WPUGPB6
#elif NUM_EN_PIN==0X0B
#define EN_PIN_IO TRISB7
#define EN_PIN GPB7
#define EN_PIN_INT_EN IOCB7
#define EN_PIN_WPU WPUGPB7
#endif



#if V_NUM_WARNING_PIN==0X00
#define WARNING_PIN_IO TRISA0
#define WARNING_PIN GPA0
#elif V_NUM_WARNING_PIN==0X01
#define WARNING_PIN_IO TRISA1
#define WARNING_PIN GPA1
#elif V_NUM_WARNING_PIN==0X02
#define WARNING_PIN_IO TRISA2
#define WARNING_PIN GPA2
#elif V_NUM_WARNING_PIN==0X03
#define WARNING_PIN_IO TRISA3
#define WARNING_PIN GPA3
#elif V_NUM_WARNING_PIN==0X04
#define WARNING_PIN_IO TRISA4
#define WARNING_PIN GPA4
#elif V_NUM_WARNING_PIN==0X05
#define WARNING_PIN_IO TRISA5
#define WARNING_PIN GPA5
#elif V_NUM_WARNING_PIN==0X06
#define WARNING_PIN_IO TRISA6
#define WARNING_PIN GPA6
#elif V_NUM_WARNING_PIN==0X07
#define WARNING_PIN_IO TRISA7
#define WARNING_PIN GPA7
#elif V_NUM_WARNING_PIN==0X08
#define WARNING_PIN_IO TRISB0
#define WARNING_PIN GPB0
#elif V_NUM_WARNING_PIN==0X09
#define WARNING_PIN_IO TRISB1
#define WARNING_PIN GPB1
#elif V_NUM_WARNING_PIN==0X0A
#define WARNING_PIN_IO TRISB2
#define WARNING_PIN GPB2
#elif V_NUM_WARNING_PIN==0X0B
#define WARNING_PIN_IO TRISB3
#define WARNING_PIN GPB3
#elif V_NUM_WARNING_PIN==0X0C
#define WARNING_PIN_IO TRISB4
#define WARNING_PIN GPB4
#elif V_NUM_WARNING_PIN==0X0D
#define WARNING_PIN_IO TRISB5
#define WARNING_PIN GPB5
#elif V_NUM_WARNING_PIN==0X0E
#define WARNING_PIN_IO TRISB6
#define WARNING_PIN GPB6
#elif V_NUM_WARNING_PIN==0X0F
#define WARNING_PIN_IO TRISB7
#define WARNING_PIN GPB7
#endif


#if V_NUM_SMBALERT_PIN==0X00
#define SMBALERT_PIN_IO TRISA0
#define SMBALERT_PIN GPA0
#elif V_NUM_SMBALERT_PIN==0X01
#define SMBALERT_PIN_IO TRISA1
#define SMBALERT_PIN GPA1
#elif V_NUM_SMBALERT_PIN==0X02
#define SMBALERT_PIN_IO TRISA2
#define SMBALERT_PIN GPA2
#elif V_NUM_SMBALERT_PIN==0X03
#define SMBALERT_PIN_IO TRISA3
#define SMBALERT_PIN GPA3
#elif V_NUM_SMBALERT_PIN==0X04
#define SMBALERT_PIN_IO TRISA4
#define SMBALERT_PIN GPA4
#elif V_NUM_SMBALERT_PIN==0X05
#define SMBALERT_PIN_IO TRISA5
#define SMBALERT_PIN GPA5
#elif V_NUM_SMBALERT_PIN==0X06
#define SMBALERT_PIN_IO TRISA6
#define SMBALERT_PIN GPA6
#elif V_NUM_SMBALERT_PIN==0X07
#define SMBALERT_PIN_IO TRISA7
#define SMBALERT_PIN GPA7
#elif V_NUM_SMBALERT_PIN==0X08
#define SMBALERT_PIN_IO TRISB0
#define SMBALERT_PIN GPB0
#elif V_NUM_SMBALERT_PIN==0X09
#define SMBALERT_PIN_IO TRISB1
#define SMBALERT_PIN GPB1
#elif V_NUM_SMBALERT_PIN==0X0A
#define SMBALERT_PIN_IO TRISB2
#define SMBALERT_PIN GPB2
#elif V_NUM_SMBALERT_PIN==0X0B
#define SMBALERT_PIN_IO TRISB3
#define SMBALERT_PIN GPB3
#elif V_NUM_SMBALERT_PIN==0X0C
#define SMBALERT_PIN_IO TRISB4
#define SMBALERT_PIN GPB4
#elif V_NUM_SMBALERT_PIN==0X0D
#define SMBALERT_PIN_IO TRISB5
#define SMBALERT_PIN GPB5
#elif V_NUM_SMBALERT_PIN==0X0E
#define SMBALERT_PIN_IO TRISB6
#define SMBALERT_PIN GPB6
#elif V_NUM_SMBALERT_PIN==0X0F
#define SMBALERT_PIN_IO TRISB7
#define SMBALERT_PIN GPB7
#endif


#if V_NUM_I2C_ADDR_PIN==0X00
#define I2C_ADDR_PIN_IO TRISA0
#define I2C_ADDR_PIN GPA0
#define I2C_ADDR_PIN_AN ANSA0
#elif V_NUM_I2C_ADDR_PIN==0X01
#define I2C_ADDR_PIN_IO TRISA1
#define I2C_ADDR_PIN GPA1
#define I2C_ADDR_PIN_AN ANSA1
#elif V_NUM_I2C_ADDR_PIN==0X02
#define I2C_ADDR_PIN_IO TRISA2
#define I2C_ADDR_PIN GPA2
#define I2C_ADDR_PIN_AN ANSA2
#elif V_NUM_I2C_ADDR_PIN==0X03
#define I2C_ADDR_PIN_IO TRISA3
#define I2C_ADDR_PIN GPA3
#define I2C_ADDR_PIN_AN ANSA3
#elif V_NUM_I2C_ADDR_PIN==0X04
#define I2C_ADDR_PIN_IO TRISB1
#define I2C_ADDR_PIN GPB1
#define I2C_ADDR_PIN_AN ANSB1
#elif V_NUM_I2C_ADDR_PIN==0X05
#define I2C_ADDR_PIN_IO TRISB2
#define I2C_ADDR_PIN GPB2
#define I2C_ADDR_PIN_AN ANSB2
#elif V_NUM_I2C_ADDR_PIN==0X06
#define I2C_ADDR_PIN_IO TRISB4
#define I2C_ADDR_PIN GPB4
#define I2C_ADDR_PIN_AN ANSB4
#elif V_NUM_I2C_ADDR_PIN==0X07
#define I2C_ADDR_PIN_IO TRISB5
#define I2C_ADDR_PIN GPB5
#define I2C_ADDR_PIN_AN ANSB5
#endif
