
#include "vin_lookup.h"

/********************************************************************
 * Function:        	getCodeForPMBVal
 *
 * PreCondition: 	Appropriate when Vin PMBus value used a fixed exponent
 *                      at -2.
 *
 * Overview:        	This function returns the code for the vin lockout
 *                      peripheral that correspond to the given parameter value.
 *
 * Note:                the input parameter can use an 8bits char because the
 *                      input voltage value will never be higher as 256/4[V]
 *                      in the GE case. Otherwise, int should be used.
 *
 *******************************************************************/
unsigned char getVINCodeForPMBVal(int val)
{
//    val=val/4;
    unsigned char i;
    for (i=0; sizeof(vinLookupTable)-1; i++)
    {
        if (vinLookupTable[i] >= val)
            return i;
    }
    return i;
}
