/********************************************************************
 * FileName:        vinLookup.h
 * Dependencies:    See INCLUDES section below
 * Processor:       MCP19111
 * Compiler:        XC8 v1.11
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in vsiolation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 *
 * Version              Date        Comment
 * 1.000               02.03.2013  Initial release
 ********************************************************************/

#ifndef VINLOOKUP_H
#define	VINLOOKUP_H

#ifdef	__cplusplus
extern "C" {
#endif


#define VIN_TABLE_SIZE 64
#define VIN_TABLE_INPUT_DIV 2
#define VIN_UV_EN 0x80


//Vin look up table. (input = 2*VIN -> max = VIN_TABLE_SIZE / 2 = 31.5V)
const unsigned char vinLookupTable[VIN_TABLE_SIZE] = {
0,
0,
0,
0,
0,
3,
5,
7,
9,
11,
12,
13,
15,
16,
17,
18,
18,
19,
20,
21,
21,
22,
23,
23,
24,
24,
25,
25,
26,
26,
27,
27,
28,
28,
28,
29,
29,
29,
30,
30,
31,
31,
31,
31,
32,
32,
32,
33,
33,
33,
33,
34,
34,
34,
34,
35,
35,
35,
35,
36,
36,
36,
36,
37
};


#ifdef	__cplusplus
}
#endif

#endif	/* VINLOOKUP_H */

